Subject: bug#48649: Guix doesn't boot with LUKS root partition

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Tue, 08 Jun 2021 23:39:08 +0200

Juraj Hlista 写道：
> Not sure how the i915 module is related to LUKS though.

Not, all all.  You should see the same apparent ‘freeze’ when 
booting the system without LUKS with ‘--repl’ on the kernel 
command line.

Linux prompts for the LUKS passphrase early, and (obviously :-) 
before the root file system is mounted.  The kernel needs to 
display this prompt.  The root file system contains all drivers. 
See the deadlock?

Adding i915 to the initrd will ensure that it is loaded before the 
initrd tries to mount / and asks you for the passphrase, so 
everything will work fine.  Building i915 into the kernel would 
have the same effect.

Kind regards,

T G-R